XkbAllocGeomRows(3)

NAME
XkbAllocGeomRows - Allocate rows in a section

SYNOPSIS

Status XkbAllocGeomRows (XkbSectionPtr section, int num_needed);

ARGUMENTS

- section
    section for which rows should be allocated

- num_needed
    number of new rows required

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected.

XkbAllocGeomRows allocates num_needed rows and adds them to the section. No initialization of the rows is done.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range